/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _ASSERTRESULTS_H_
#define _ASSERTRESULTS_H_


 /**
  ParseAssertResults - parse input stream
 */ 
void ParseAssertResults(void);

 /**
  must be called before rest, initializes assert variables
 */ 
void InitAssertResults(void);


 /**
  lgCheckAsserts		 
  \param *ioASSERTS this is unit we will write output to
 */ 
bool lgCheckAsserts(
	FILE *ioASSERTS );

/** these flags are set in lgCheckAsserts */
EXTERN bool lgAssertsOK , lgBigBotch, lgPrtSciNot;

EXTERN struct t_assertresults {
	double SumErrorCaseAssert;
	long int nSumErrorCaseAssert;

}	assertresults;

#endif /* _ASSERTRESULTS_H_ */
