/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _HYDROEINSTA_H_
#define _HYDROEINSTA_H_

/**HydroEinstA calculates Einstein A's from  osillator strengths
\param lower
\param iupper
*/
double HydroEinstA(long int lower, 
	  long int iupper);

realnum hydro_transprob( long nelem, long ipHi, long ipLo );

#endif /* _HYDROEINSTA_H_ */
