/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _HYDROOSCILSTR_H_
#define _HYDROOSCILSTR_H_

/**HydroOscilStr computes hydrogenic oscillator strengths, Johnson L.C., 1972 ApJ 174 227
 * Used in the function hdexct. 
 \param xLower
 \param Upper
 */
double HydroOscilStr(double xLower, 
  double Upper);

#endif /* _HYDROOSCILSTR_H_ */
