/* This file is part of Cloudy and is copyright (C)1978-2008 by Gary J. Ferland and
 * others.  For conditions of distribution and use see copyright notice in license.txt */

#ifndef _PREDCONT_H_
#define _PREDCONT_H_

/* predcont.h */

/** number of continuum point to enter into line array */
#define	NPREDCONT	64

/** array indices position in line array for continuum points */
extern realnum EnrPredCont[NPREDCONT];

/** values of continuum points in Rydbergs, entered in zerologic.c */
extern long int ipPredCont[NPREDCONT];


#endif /* _PREDCONT_H_ */
